Bug 129691 - Multiple problems with GtkTreeView (fixed-height, dragging)
Summary: Multiple problems with GtkTreeView (fixed-height, dragging)
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-11 20:35 UTC by Pawel Salek
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 14:37:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2004-08-11 20:35:54 UTC
Description of problem:
GtkTreeView widget has multiple problems.

1. if GtkTreeView is registered as drag destination, it will
incorrectly try to act as a drag source as well (filed as 149836 in
bugzilla.gnome.org, patch attached). This may lead to crashes
depending on the way gtk was compiled.

2. if fixed-height property is set, row-changed events do not update
always the row in question (136496, workaround suggested).

3. if fixed-height property is set, row-inserted events do not update
the widget size (149935).

Version-Release number of selected component (if applicable):
gtk2-2.4.4

How reproducible:
Always

Comment 1 Matthias Clasen 2004-08-16 14:37:46 UTC
I'll track those issues upstream.


Note You need to log in before you can comment on or make changes to this bug.